Bug 42123 - it is wrong to group scripts as "Western", "CTL" and "Asian" in the font selection dialog
Summary: it is wrong to group scripts as "Western", "CTL" and "Asian" in the font sele...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: PATCHESWELCOME
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-23 02:27 UTC by Amir E. Aharoni
Modified: 2012-07-03 09:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Amir E. Aharoni 2011-10-23 02:27:01 UTC
It is wrong to group scripts as "Western", "CTL" and "Asian" in the font selection dialog.

There are several reasons for this, but the most important reason is that it is quite possible that people would use more than one "CTL" font in one document. This happens more often than many programmers would think.

Besides, most people don't know what "CTL" means. People who write Hindi, Arabic or Amharic, don't consider their language "CTL" or "complex" - for them it's quite simple. Finally, Hindi and Arabic are "CTL", while Chinese and Japanese are "Asian", even though all these languages are spoken in Asia, which adds to the confusion.

The right way to implement this is to allow font selection by language and script and not by arbitrary outdated grouping like "Western", "CTL" and "Asian". This is more or less the way it is done in HTML and CSS, where you can write <span lang="az-Arab">SOME AZERBAIJANI TEXT IN THE ARABIC SCRIPT</span> and then write the following CSS:

:lang(az-Arab) {
    font-family: "Nice Azerbaijani Arabic font";
}

(Maybe this will require a change in the OpenDocument standard, too.)
Comment 1 Caolán McNamara 2011-10-24 01:58:22 UTC
You're basically stuck with the ODF standard with its three categories. Though maybe it could be possible to subvert that system and leave those distinctions in place and stick a layer on top of it alright.
Comment 2 Joel Madero 2012-07-03 09:30:12 UTC
The discussion on CTL is ongoing with the developers. As far as I've gleaned we're stuck with CTL and these worthless groups because of Microsoft. Most of us agree that we wish we could get rid of them or just enable them by default but the discussion is tricky and many opinions are being added. To see the discussion you can look here:

http://lists.freedesktop.org/archives/libreoffice/2012-June/033552.html

I am going to mark this as WONTFIX just because currently we are stuck with this implementation but we are definitely discussing alternatives as we move forward. I am adding PATCHESWELCOME to the whiteboard just in case a developer wants to try to redo the entire CTL/language system (it's a huge task to purge CTL and still make it compatible with Microsoft's stuff).